Create a New Field

Overview

Create a custom field for contacts or matters.

Built-in contact fields

Every business already has these contact fields: Email, First Name, Last Name, Phone, Address, and Birthday (a datepicker). Do not create them: field labels are unique on the business, so creating a field with one of these labels is rejected with HTTP 422, even as a matter field. Use GET /platform/v1/fields to find an existing field's id.

Object Types

  • contact - Fields for client/contact records
  • matter - Fields for matter records

Field Types

  • singleline - Single line text
  • dropdown - Dropdown selection (requires options)
  • datepicker - Date picker
  • checkbox - Boolean checkbox
  • address - Address field
  • identifier - Unique identifier

Available for Staff, App, and Directory tokens

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Field type: singleline, name (for matter names), dropdown, datepicker, checkbox, address, identifier, email, firstname, lastname, phone, opt-in, status.

string
required

Display label for the field

string
enum
Defaults to matter

The object type this field belongs to. Use 'matter' for matter fields, 'contact' for client/contact fields. Default: 'matter'

Allowed:
boolean

Default value for checkbox/opt-in fields

forms
array of strings

A list of forms to include this field. Options: client_card, leave_details, scheduling, online_payments, share_documents

forms
boolean

Indicates if to keep asking until filled

options
array of strings

A list of options for dropdown field type

options
boolean

Indicates if the field is required

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json